Get a CCTP transfer
curl --request GET \
--url https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "cmuzgyc2105hw41rg2h19pomm",
"status": "COMPLETED",
"sourceChain": "eip155:84532",
"destinationChain": "eip155:43113",
"amount": "0.09",
"amountOut": "0.035807",
"sender": "0xa7f0c09f250b7f9cc73068c02ceb296a013c0c0c",
"recipient": "0xa7f0c09f250b7f9cc73068c02ceb296a013c0c0c",
"speed": "fast",
"fees": {
"maxFee": "0.054193",
"custodian": "0",
"feeExecuted": "0.054193"
},
"totalDebit": "0.09",
"sourceTxHash": "0xc7c227eee90af289fceb0d33c66b472457c65b74811f2ba02a8ab21727496dfb",
"destinationTxHash": "0x945c92ce99555fb8bb0db7ea9ef2527a5f1688e872b07a27dedc349cddd43989",
"sourceExplorerUrl": "https://sepolia.basescan.org/tx/0xc7c227eee90af289fceb0d33c66b472457c65b74811f2ba02a8ab21727496dfb",
"destinationExplorerUrl": "https://testnet.snowtrace.io/tx/0x945c92ce99555fb8bb0db7ea9ef2527a5f1688e872b07a27dedc349cddd43989",
"createdAt": "2026-10-08T11:44:32.137Z",
"updatedAt": "2026-10-08T11:45:01.202Z"
}
}{
"error": "<string>"
}{
"error": "CCTP transfer does not exist."
}CCTP
Get a CCTP transfer
Returns a transfer’s current status. It’s a cheap read: Portal tracks the transfer
in the background, so poll this endpoint and wait pollAfterMs between reads.
GET
/
clients
/
me
/
integrations
/
cctp
/
transfers
/
{id}
Get a CCTP transfer
curl --request GET \
--url https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.portalhq.io/api/v3/clients/me/integrations/cctp/transfers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "cmuzgyc2105hw41rg2h19pomm",
"status": "COMPLETED",
"sourceChain": "eip155:84532",
"destinationChain": "eip155:43113",
"amount": "0.09",
"amountOut": "0.035807",
"sender": "0xa7f0c09f250b7f9cc73068c02ceb296a013c0c0c",
"recipient": "0xa7f0c09f250b7f9cc73068c02ceb296a013c0c0c",
"speed": "fast",
"fees": {
"maxFee": "0.054193",
"custodian": "0",
"feeExecuted": "0.054193"
},
"totalDebit": "0.09",
"sourceTxHash": "0xc7c227eee90af289fceb0d33c66b472457c65b74811f2ba02a8ab21727496dfb",
"destinationTxHash": "0x945c92ce99555fb8bb0db7ea9ef2527a5f1688e872b07a27dedc349cddd43989",
"sourceExplorerUrl": "https://sepolia.basescan.org/tx/0xc7c227eee90af289fceb0d33c66b472457c65b74811f2ba02a8ab21727496dfb",
"destinationExplorerUrl": "https://testnet.snowtrace.io/tx/0x945c92ce99555fb8bb0db7ea9ef2527a5f1688e872b07a27dedc349cddd43989",
"createdAt": "2026-10-08T11:44:32.137Z",
"updatedAt": "2026-10-08T11:45:01.202Z"
}
}{
"error": "<string>"
}{
"error": "CCTP transfer does not exist."
}Was this page helpful?